{"templateId":"markdown","versions":[{"version":"v2026.04","label":"v2026.04","link":"/pt-br/products/payments-direct-2/v2026.04/api-docs/tutorials/create-a-v2-third-party-payment","default":true,"active":false,"folderId":"7e5507fe"},{"version":"v2026.03","label":"v2026.03","link":"/pt-br/products/payments-direct-2/v2026.03/api-docs/tutorials/create-a-v2-third-party-payment","default":false,"active":false,"folderId":"7e5507fe"},{"version":"v2025.11","label":"v2025.11","link":"/pt-br/products/payments-direct-2/v2025.11/api-docs/tutorials/create-a-v2-third-party-payment","default":false,"active":true,"folderId":"7e5507fe"}],"sharedDataIds":{"sidebar":"sidebar-@l10n/pt-BR/products/payments-direct-2/@v2025.11/sidebars.yaml","api-docs-@l10n/pt-BR/products/payments-direct-2/@v2025.11/api-docs/payments-direct-api/payments-direct-2-api.yml":"api-docs-@l10n/pt-BR/products/payments-direct-2/@v2025.11/api-docs/payments-direct-api/payments-direct-2-api.yml"},"props":{"metadata":{"markdoc":{"tagList":["admonition","openapi-code-sample"]},"type":"markdown"},"seo":{"title":"Create a v2 third-party payment","description":"User guides, API reference, and support resources.","siteUrl":"https://docs.ripple.com","lang":"en-US"},"dynamicMarkdocComponents":["openapi"],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"create-a-v2-third-party-payment","__idx":0},"children":["Create a v2 third-party payment"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["In this tutorial, we'll step through the API calls required to create a third-party payment with the legacy Payments v2 and Identity Management v2."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["In a third-party payment, you process payments on behalf of a third-party business or institution which is paying a business or individual beneficiary."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info","name":"Note"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["While this tutorial focuses on creating a payment on behalf of a business to pay another business beneficiary, the process is similar for making a payment to an individual beneficiary."," ","To pay an individual beneficiary, specify their ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["beneficiaryIdentityId"]}," in the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#create-payment"},"children":["Create payment"]}," step."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["There are four main steps for creating a third-party payment where you are the intermediary:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#create-a-quote-collection"},"children":["Create a quote collection"]}," for a proposed payment."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#create-payment"},"children":["Create payment"]}," to begin the payment process."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#get-a-payment"},"children":["Get a payment"]}," to view your completed payment."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For instructions on creating a payment where you — a business or institution — are the originator, see ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/pt-br/products/payments-direct-2/v2025.11/api-docs/tutorials/create-a-v2-payment"},"children":["Create a v2 payment"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"prerequisites","__idx":1},"children":["Prerequisites"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following items must be addressed before you can carry out the instructions in this tutorial:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["An ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/pt-br/products/payments-direct-2/v2025.11/api-docs/tutorials/request-an-access-token"},"children":["access token"]}," to access secured API endpoints."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Have obtained the necessary ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["identityIDs"]},". Work with your Ripple liaison to get them.",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["A ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["beneficiaryIdentityId"]}," identifies the beneficiary of your payment and is required for all payments."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["An ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["originatorIdentityId"]}," is required when performing third-party payments."]}]}]}]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info","name":"Base URL for the UAT environment"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The API calls in this tutorial use the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["UAT"]}," environment with ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["https://api.test.ripple.com/v2"]}," as the base URL."]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"create-a-quote-collection","__idx":2},"children":["Create a quote collection"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["In this step, we call the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Create quote collection"]}," operation, which fetches a collection of quotes containing one or more quotes for a payment using the chosen payout method."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"create-quote-collection-request","__idx":3},"children":["Create quote collection request"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["In our payment scenario, a third-party is sending 10,000 USD to a beneficiary in Mexico, who will receive it in MXN. So now we can construct the request body to fetch a quote."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This example shows how to construct the request body."]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["quoteAmount"]}," : Set this value to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["10000"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["sourceCurrency"]}," : Set this value to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["USD"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["quoteAmountType"]}," : Set this value to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SOURCE_AMOUNT"]},".",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Setting this value returns a quote for the amount you want to send and not the amount the beneficiary receives."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["For more information, see the quoteAmountType parameter in the Create quote collection operation."]}]}]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["destinationCurrency"]}," : Set this value to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MXN"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["sourceCountry"]}," : Set this value to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["US"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["destinationCountry"]}," : Set this value to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MX"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["payoutCategory"]}," : Set this value to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["BANK"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["payinCategory"]}," : Set this value to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PRE_FUNDING"]}," (or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["FUNDED"]},", which is deprecated but still accepted on v2 endpoints)."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-quote-collection-request-payload","__idx":4},"children":["Example quote collection request payload"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"quoteAmount\": 10000,\n  \"quoteAmountType\": \"SOURCE_AMOUNT\",\n  \"sourceCurrency\": \"USD\",\n  \"destinationCurrency\": \"MXN\",\n  \"sourceCountry\": \"US\",\n  \"destinationCountry\": \"MX\",\n  \"payoutCategory\": \"BANK\",\n  \"payinCategory\": \"PRE_FUNDING\"\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"create-quote-collection-response","__idx":5},"children":["Create quote collection response"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The response contains an array of one or more quote objects as a collection. Each quote object has a unique ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["quoteId"]},", and each quote contains quote elements that correspond to each step of the payment transaction and include account addresses, amounts, foreign exchange (FX) rates, and fees for each step."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info","name":"Quotes have an expiration date"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Each quote includes an ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["expiresAt"]}," field that indicates the expiration date and time of the quote. You must create a payment using the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["quoteId"]}," prior to expiration."]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"quoteCollectionId\": \"11111111-aaaa-2222-bbbb-222222222222\",\n  \"quotes\": [\n    {\n      \"quoteId\": \"7ea3399c-1234-5678-8d8f-d320ea406630\",\n      \"quoteStatus\": \"ACTIVE\",\n      \"quoteAmountType\": \"SOURCE_AMOUNT\",\n      \"sourceAmount\": 10000,\n      \"destinationAmount\": 204533.3,\n      \"sourceCurrency\": \"USD\",\n      \"destinationCurrency\": \"MXN\",\n      \"sourceCountry\": \"US\",\n      \"destinationCountry\": \"MX\",\n      \"payoutCategory\": \"BANK\",\n      \"payinCategory\": \"PRE_FUNDING\",\n      \"adjustedExchangeRate\": {\n        \"adjustedRate\": 20.4136\n      },\n      \"fees\": [\n        {\n          \"totalFee\": 14,\n          \"feeCurrency\": \"USD\",\n          \"feeBreakdown\": [\n            {\n              \"calculatedFee\": 3,\n              \"feeName\": \"Example flat service fee\",\n              \"feeDescription\": \"Fees with unit 3$ FLAT\"\n            },\n            {\n              \"calculatedFee\": 11,\n              \"feeName\": \"Example BPS service fee\",\n              \"feeDescription\": \"Fees with unit BPS\"\n            }\n          ]\n        }\n      ],\n      \"createdAt\": \"2025-02-13T22:44:34.711Z\",\n      \"expiresAt\": \"2025-02-13T22:59:34.767Z\"\n    }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"create-payment","__idx":6},"children":["Create payment"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Now that we have the quote for the payment, it's time to create a payment using the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["quoteId"]}," and the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["identityId"]}," values. To do this, we'll call the Create payment operation."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"create-payment-request","__idx":7},"children":["Create payment request"]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"success","name":"Prerequisites"},"children":[{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["You must have the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["quoteId"]}," of the quote you want to use from the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#create-quote-collection-response"},"children":["create a quote"]}," response."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["You must have the identity IDs. "]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Construct the request body as follows:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["quoteId"]}," : Set this value to the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["quoteId"]}," you received in the Create quote collection response."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["originatorIdentityId"]}," : Set this value to the UUID associated with the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/pt-br/products/payments-direct-2/v2025.11/api-docs/tutorials/building-v2-payment-request-body#originatoridentityid"},"children":["originator identity"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["beneficiaryIdentityId"]}," : Set this value to the UUID associated with the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/pt-br/products/payments-direct-2/v2025.11/api-docs/tutorials/building-v2-payment-request-body#beneficiaryidentityid"},"children":["beneficiary identity"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["internalId"]}," : This example uses ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Invoice number 123"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["purposeCode"]}," : This example uses ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PAYR"]}," to indicate that the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/pt-br/products/payments-direct-2/v2025.11/api-docs/tutorials/building-v2-payment-request-body#purposecode"},"children":["Purpose"]}," is payroll."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SourceOfCash"]}," : This example uses ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SVGS"]}," to indicate that the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/pt-br/products/payments-direct-2/v2025.11/api-docs/tutorials/building-v2-payment-request-body#sourceofcash"},"children":["Source of Cash"]}," is savings."]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"quoteId\": \"7ea3399c-1234-5678-8d8f-d320ea406630\",\n  \"originatorIdentityId\": \"11111111-abcd-2222-efgh-333333333333\",\n  \"beneficiaryIdentityId\": \"22222222-aaaa-2222-bbbb-222222222222\",\n  \"internalId\": \"Invoice-123\",\n  \"purposeCode\": \"PAYR\",\n  \"sourceOfCash\": \"SVGS\"\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"create-payment-response","__idx":8},"children":["Create payment response"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The payment creation response contains the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["paymentId"]}," and other information you can use to monitor the status of the payment."]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"paymentId\": \"7ea3399c-1234-5678-8d8f-d320ea406630\",\n  \"initiatedAt\": \"2025-02-13T23:24:15.770Z\",\n  \"expiresAt\": \"2025-04-14T23:24:15.770Z\",\n  \"lastStateUpdatedAt\": \"2025-02-13T23:24:15.770Z\",\n  \"paymentState\": \"TRANSFERRING\",\n  \"originator\": {\n    \"internalId\": \"Invoice-123\",\n    \"sourceCountry\": \"US\",\n    \"sourceCurrency\": \"USD\",\n    \"sourceAmount\": 10000,\n    \"payin\": \"PRE_FUNDING\"\n  },\n  \"destination\": {\n    \"destinationAmount\": 203766.88,\n    \"destinationCountry\": \"MX\",\n    \"destinationCurrency\": \"MXN\",\n    \"beneficiaryIdentityId\": \"22222222-aaaa-2222-bbbb-222222222222\",\n    \"beneficiaryIdentityVersion\": 1,\n    \"beneficiaryIdentityNickName\": \"Successful Beneficiary\",\n    \"payout\": \"BANK\"\n  },\n  \"fxRate\": 20.4052,\n  \"adjustedExchangeRate\": {\n    \"adjustedRate\": 20.3422\n  },\n  \"fees\": [\n    {\n      \"totalFee\": 14,\n      \"feeCurrency\": \"USD\"\n    }\n  ],\n  \"purposeCode\": \"PAYR\",\n  \"transactionDetails\": {\n    \"paymentProduct\": \"PAYMENTS_DIRECT\",\n    \"flowType\": \"B2B\",\n    \"thirdPartyPayment\": false,\n    \"businessUseCase\": \"FIAT_TRANSFER\"\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get-a-payment","__idx":9},"children":["Get a payment"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the Get payment by ID operation to view the details of your completed payment."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-payment-request","__idx":10},"children":["Get payment request"]},{"$$mdtype":"Tag","name":"OpenApiCodeSample","attributes":{"descriptionFile":"api-docs-@l10n/pt-BR/products/payments-direct-2/@v2025.11/api-docs/payments-direct-api/payments-direct-2-api.yml","operationId":"getPaymentById","parameters":{},"environments":{},"codeSamplesResolved":[{"lang":"shell","title":"curl","source":"curl -i -X GET \\\n  https://api.test.ripple.com/v2/payments/7ea3399c-1234-5678-8d8f-d320ea406630 \\\n  -H 'Authorization: Bearer <YOUR_JWT_HERE>'"},{"lang":"python","title":"Python","source":"import requests\n\npayment_id = \"7ea3399c-1234-5678-8d8f-d320ea406630\"\nurl = \"https://api.test.ripple.com/v2/payments/\" + payment_id\n\nheaders = {\"Authorization\": \"Bearer <YOUR_JWT_HERE>\"}\n\nresponse = requests.get(url, headers=headers)\n\ndata = response.json()\nprint(data)"}]},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-payment-response","__idx":11},"children":["Get payment response"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Check the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["paymentState"]}," field in the response output for the current payment state."]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"paymentId\": \"7ea3399c-1234-5678-8d8f-d320ea406630\",\n  \"initiatedAt\": \"2025-02-13T23:24:15.770Z\",\n  \"expiresAt\": \"2025-04-14T23:24:15.770Z\",\n  \"lastStateUpdatedAt\": \"2025-02-13T23:24:15.770Z\",\n  \"paymentState\": \"TRANSFERRING\",\n  \"originator\": {\n    \"internalId\": \"Invoice-123\",\n    \"sourceCountry\": \"US\",\n    \"sourceCurrency\": \"USD\",\n    \"sourceAmount\": 10000,\n    \"payin\": \"PRE_FUNDING\"\n  },\n  \"destination\": {\n    \"destinationAmount\": 203766.88,\n    \"destinationCountry\": \"MX\",\n    \"destinationCurrency\": \"MXN\",\n    \"beneficiaryIdentityId\": \"22222222-aaaa-2222-bbbb-222222222222\",\n    \"beneficiaryIdentityVersion\": 1,\n    \"beneficiaryIdentityNickName\": \"Successful Beneficiary\",\n    \"payout\": \"BANK\"\n  },\n  \"fxRate\": 20.4052,\n  \"adjustedExchangeRate\": {\n    \"adjustedRate\": 20.3422\n  },\n  \"fees\": [\n    {\n      \"totalFee\": 14,\n      \"feeCurrency\": \"USD\"\n    }\n  ],\n  \"purposeCode\": \"PAYR\",\n  \"transactionDetails\": {\n    \"paymentProduct\": \"PAYMENTS_DIRECT\",\n    \"flowType\": \"B2B\",\n    \"thirdPartyPayment\": false,\n    \"businessUseCase\": \"FIAT_TRANSFER\"\n  }\n}\n","lang":"json"},"children":[]}]},"headings":[{"value":"Create a v2 third-party payment","id":"create-a-v2-third-party-payment","depth":1},{"value":"Prerequisites","id":"prerequisites","depth":2},{"value":"Create a quote collection","id":"create-a-quote-collection","depth":2},{"value":"Create quote collection request","id":"create-quote-collection-request","depth":3},{"value":"Example quote collection request payload","id":"example-quote-collection-request-payload","depth":4},{"value":"Create quote collection response","id":"create-quote-collection-response","depth":3},{"value":"Create payment","id":"create-payment","depth":2},{"value":"Create payment request","id":"create-payment-request","depth":3},{"value":"Create payment response","id":"create-payment-response","depth":3},{"value":"Get a payment","id":"get-a-payment","depth":2},{"value":"Get payment request","id":"get-payment-request","depth":3},{"value":"Get payment response","id":"get-payment-response","depth":3}],"frontmatter":{"toc":{"enable":true,"maxDepth":2},"seo":{"title":"Create a v2 third-party payment"}},"lastModified":"2026-04-01T23:09:00.000Z","isTranslationFallback":true,"pagePropGetterError":{"message":"","name":""}},"slug":"/pt-br/products/payments-direct-2/v2025.11/api-docs/tutorials/create-a-v2-third-party-payment","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}